/*
 *    Copyright (c) 2009 Nicolas MARTIGNOLE
 *
 *    Licensed under the Apache License, Version 2.0 (the "License");
 *    you may not use this file except in compliance with the License.
 *    You may obtain a copy of the License at
 *
 *        http://www.apache.org/licenses/LICENSE-2.0
 *
 *    Unless required by applicable law or agreed to in writing, software
 *    distributed under the License is distributed on an "AS IS" BASIS,
 *    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *    See the License for the specific language governing permissions and
 *    limitations under the License.
 *
 *    See http://touilleur-express.fr Le Touilleur Express, blog about Java.
 */

package com.innoteria;

import org.apache.wicket.markup.html.panel.Panel;

import javax.mail.Message;
import java.util.Iterator;

/**
 * Wicket custom component to display an Email message
 */
public class MessagePanel extends Panel {
    public MessagePanel(String id){
        super(id);
            
    }

    public MessagePanel(String id, InnoteriaMessageIterator it) {
        super(id);
       add(new DisplayMessagePanel("displayPanelId",it));
    }
}
